let con = undefined;

function initialize(connection) {
  con = connection;
  // Do nothing and die.
}

function queryData(lat, lng, radius, minimal) {
  // Does nothing.
  return new Promise(function (resolve, reject) {resolve([]);});
}

function queryItem(uid) {
  // Does nothing.
  return new Promise(function (resolve, reject) {resolve([]);});
}

function getModuleMeta() {
  return {
    title: "Stub",
    exactName: "stub",
    country: [""],
    tags: [""],
    limited: true,
  };
}

module.exports = { initialize, queryData, getModuleMeta, queryItem };
